Patchwork D7231: relnotes: copy "next" to "5.2" and clear "next"

login
register
mail settings
Submitter phabricator
Date Nov. 5, 2019, 9:31 p.m.
Message ID <differential-rev-PHID-DREV-5l4h33a22r524i45zfzj-req@mercurial-scm.org>
Download mbox | patch
Permalink /patch/42756/
State Superseded
Headers show

Comments

phabricator - Nov. 5, 2019, 9:31 p.m.
martinvonz created this revision.
Herald added a subscriber: mercurial-devel.
Herald added a reviewer: hg-reviewers.

REVISION SUMMARY
  This is the same thing as we did for 5.1 in cba59b338976 <https://phab.mercurial-scm.org/rHGcba59b338976af0e4c92cf16b8f95331e6ac4f30> (relnotes:
  copy "next" to "5.1" and clear "next", 2019-08-01).

REPOSITORY
  rHG Mercurial

BRANCH
  stable

REVISION DETAIL
  https://phab.mercurial-scm.org/D7231

AFFECTED FILES
  relnotes/5.2
  relnotes/next

CHANGE DETAILS

diff --git a/relnotes/next b/relnotes/5.2
copy from relnotes/next
copy to relnotes/5.2



To: martinvonz, #hg-reviewers
Cc: mercurial-devel
phabricator - Nov. 5, 2019, 9:32 p.m.
martinvonz added a comment.


  This is meant for the stable branch

REPOSITORY
  rHG Mercurial

CHANGES SINCE LAST ACTION
  https://phab.mercurial-scm.org/D7231/new/

REVISION DETAIL
  https://phab.mercurial-scm.org/D7231

To: martinvonz, #hg-reviewers
Cc: mercurial-devel

Patch

diff --git a/relnotes/next b/relnotes/next
--- a/relnotes/next
+++ b/relnotes/next
@@ -1,12 +1,5 @@ 
 == New Features ==
 
- * The amend extension supports the `--currentuser` argument.
-
- * The amend extension supports the `--close-branch` argument.
-
- * The amend extension supports the `--secret` argument.
-
- * The uncommit extension supports the `rewrite.update-timestamp` config option.
 
 == New Experimental Features ==
 
@@ -16,15 +9,6 @@ 
 
 == Backwards Compatibility Changes ==
 
- * A shell that supports `$(command)`` syntax for command substitution is now
-   required for running the test suite. The test runner normally uses
-   `sh`, so if that is a shell that doesn't support `$(command)` syntax,
-   you can override it by setting `$HGTEST_SHELL` or by passing it to
-   `run-tests.py --shell <shell>`.
-
- * The (experimental) narrow extension's wire protocol changed. If
-   you're using it, you'll need to make sure to upgrade server and
-   client at the same time.
 
 == Internal API Changes ==